package net.pokeranalytics.android.ui.activity

import android.content.Context
import android.content.Intent
import android.os.Bundle
import net.pokeranalytics.android.R
import net.pokeranalytics.android.calculus.ComputableGroup
import net.pokeranalytics.android.calculus.Report
import net.pokeranalytics.android.calculus.Stat
import net.pokeranalytics.android.ui.activity.components.PokerAnalyticsActivity
import net.pokeranalytics.android.ui.fragment.GraphParameters


class StatisticDetailsActivity : PokerAnalyticsActivity() {

	private enum class IntentKey(val keyName: String) {
		STAT("STATS"),
		ENTRIES("ENTRIES"),
	}

	companion object {

		// Unparcel fails when setting a custom Parcelable object on Entry so we use a static reference to passe objects
		var parameters: GraphParameters? = null

		/**
		 * Default constructor
		 */
		fun newInstance(context: Context, stat: Stat, group: ComputableGroup, report: Report) {
			parameters = GraphParameters(stat, group, report)
			val intent = Intent(context, StatisticDetailsActivity::class.java)
			context.startActivity(intent)
		}

	}

	override fun onCreate(savedInstanceState: Bundle?) {
		super.onCreate(savedInstanceState)
		setContentView(R.layout.activity_statistic_details)
		initUI()
	}

	/**
	 * Init UI
	 */
	private fun initUI() {

	}

}
